GetLogicalDriveStrings(96, Buf);
for j:=0 to 25 do
 if Buf[j*4+2] <> #92 then
  Break;
SL:= TStringListUTF8.Create;
for i:=0 to j-1 do
 begin
 if GetDriveType(@Buf[i*4])= DRIVE_CDROM then
  SL.Add(AnsiLowerCase(String(Buf[i*4])) + ':\');
 end;
SL.Delimiter:= ';';
Result:= PWideChar(SL.DelimitedText);
SL.Clear;
SL.Free;
